function ecef=lla2ecef_2(lla)
% lon, lat: degrees centesimal
% alt: m
% x, y, z: m

ft2m=0.3048;
a = 6378137; % m
b = 6356752.314; % m
e2 = 1 - b^2/a^2; % m^2
R = 6378e3; % m

lat=lla(1); lon=lla(2); alt=lla(3);

N=a/sqrt(1-e2*sind(lat)^2);
x=(N+alt)*cosd(lat)*cosd(lon);
y=(N+alt)*cosd(lat)*sind(lon);
z=(N*b^2/a^2 + alt)*sind(lat);
ecef=[x,y,z];
end

